livehttpheaders (0.17.1-1) unstable; urgency=medium

  * Add fixed version by Danyial.com to watch file
  * Imported Upstream version 0.17.1, fixing replay of headers
    (Closes: #809490)
  * Update copyright
  * Drop patch, “fixed” upstream by removing addon translations

 -- David Prévot <taffit@debian.org>  Wed, 13 Jan 2016 17:51:27 -0400

livehttpheaders (0.17-4) unstable; urgency=medium

  * Replace Fabrizio Regalli (Closes: #761851)
  * Update Homepage
  * Use canonical Vcs-* URLs
  * Drop transitional dummy package introduced in oldstable
  * Shorten synopsis
  * Add new watch rule for amo
  * Add upstream changelog
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Sat, 02 May 2015 08:24:10 -0400

livehttpheaders (0.17-3) unstable; urgency=low

  * Take over for the Debian MozExt Team (Closes: #667732)
  * Added Vcs-* fields in d/control
  * Added Homepage field in d/control
  * Bump Standards-Version to 3.9.3
  * Rename binary package in xul-ext-livehttpheaders (Closes: #611795, #638494)
  * Changed Depends field in ${misc,xpi:Depends} in d/control
  * Added {Recommends,Provides} fields in d/control
  * Removed Mike from Maintainers
  * Switch to 3.0 quilt format
  * Removed d/dirs and d/links
  * Move to standard d/rules using mozilla-devscript
  * Add 01-fix-install.patch for normalizing install.rdf file 
  * Add xpi-repack to d/watch for repacking xpi from uscan
  * Moved d/copyright to DEP5 format
  * debian/copyright: added ABAS Software AG to copyright holder
    and update years
  * Add mozilla-livehttpheaders dummy package

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 06 Apr 2012 12:22:06 +0200

livehttpheaders (0.17-2) unstable; urgency=low

  * install.rdf: Remove maxversion boundary on Iceweasel and Iceape.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Jul 2011 23:29:41 +0200

livehttpheaders (0.17-1) unstable; urgency=low

  * New upstream release. Closes: #630866.
  * debian/watch: Use xpi-repack.
  * debian/rules: Modify to fit xpi-repack's layout.

 -- Mike Hommey <glandium@debian.org>  Tue, 21 Jun 2011 09:51:06 +0900

livehttpheaders (0.16-2) unstable; urgency=low

  * install.rdf: Allow to use with any Iceweasel 4.0.x.

 -- Mike Hommey <glandium@debian.org>  Sun, 06 Mar 2011 10:42:16 +0100

livehttpheaders (0.16-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 3.8.4.0. No changes needed.
    + Build-depend on debhelper >= 7.0.50~.
  * debian/rules: Use dh.

 -- Mike Hommey <glandium@debian.org>  Thu, 08 Apr 2010 15:52:49 +0200

livehttpheaders (0.15-3) unstable; urgency=low

  * debian/control:
    + Depend on iceape-browser >= 2.0.
    + Bump Standards-Version to 3.8.3.0. No changes needed.
  * debian/links: Drop support for old iceape, and support iceape 2.0
  * debian/post{inst,rm}, debian/chrome.d: Removed.
  * debian/rules: Don't install the chrome.d file.
  * install.rdf: Add iceape 2.0 target application.
  * chrome/content/PageInfoOverlay.js: Fix for Page Info Header pane in
    Iceape 2.0.
  * components/nsHeaderInfo.js: Fix for display of spurious "日本語" in
    Page Info Header pane. Closes: #541655.

 -- Mike Hommey <glandium@debian.org>  Fri, 13 Nov 2009 13:46:15 +0100

livehttpheaders (0.15-2) unstable; urgency=low

  * debian/control:
    + Bumped Standards-Version to 3.8.2.0. No changes needed.
    + Bumped debhelper build dependency.
  * debian/rules: Replace dh_clean -k with dh_prep.
  * debian/compat: Bumped to 7.
  * debian/copyright: Changed the path to system-wide GPL text to use a
    versioned one.

 -- Mike Hommey <glandium@debian.org>  Fri, 24 Jul 2009 20:53:58 +0200

livehttpheaders (0.15-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Mon, 13 Jul 2009 09:41:18 +0200

livehttpheaders (0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/chrome.manifest: Removed, as provided upstream.
  * debian/rules: Install upstream chrome.manifest.
  * debian/chrome.d: Add new locales.
  * chrome.manifest: Adapt for flat chrome.

 -- Mike Hommey <glandium@debian.org>  Mon, 16 Jun 2008 01:32:52 +0200

livehttpheaders (0.13.1-3) unstable; urgency=low

  * debian/control: Fixed typo. Closes: #400429.
  * debian/links: Put iceape chrome in /usr/share/iceape/chrome instead of
    /usr/lib/iceape/chrome. Closes: #401563.

 -- Mike Hommey <glandium@debian.org>  Mon,  4 Dec 2006 18:12:43 +0100

livehttpheaders (0.13.1-2) unstable; urgency=low

  * debian/postinst: Changed the version number we test (bad, bad copy/paste)

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Nov 2006 15:02:05 +0100

livehttpheaders (0.13.1-1) unstable; urgency=low

  * New upstream release. Fixes broken Page Info Headers tab in Iceweasel 2.0.
  * debian/Uninstall, debian/extensions.d: Removed, we don't support firefox
    < 1.5 any more.
  * debian/rules: Don't install these removed files.
  * debian/preinst: Removed, it was for upgrade from ancient versions, before
    sarge, and not included in woody.
  * debian/control:
    + Don't Conflict, Replace, Provide livehttpheaders, it's from ancient times,
      before sarge was released.
    + Bumped Standards-Version to 3.7.2.2. No changes needed.
    + Depends on iceweasel | iceape-browser.
    + Changed description. Closes: #399946.
  * debian/dirs, debian/links: Adapted the directories and the links we create.
  * debian/postinst: In case we upgrade from older versions without upgrading
    browsers first, invoque chrome updaters (except iceape one, which we call
    unconditionally).
  * debian/postrm: Only invoque iceape chrome updater on removal.
  * chrome/locale/de-AT/livehttpheaders/livehttpheaders.dtd: Removed "xs" from
    version number.

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Nov 2006 14:42:05 +0100

livehttpheaders (0.12-3) unstable; urgency=low

  * debian/control: Bumped Standards-Version to 3.7.2.1. No changes needed.
  * install.rdf: Allow livehttpheaders to work with firefox 2.0.
  * debian/watch: Added a watch file.

 -- Mike Hommey <glandium@debian.org>  Mon, 21 Aug 2006 21:04:43 +0200

livehttpheaders (0.12-2) unstable; urgency=low

  * debian/control: Bumped Standards-Version to 3.6.2.1. No changes needed.
  * debian/rules: Changed way we install files. That removes bad permissions
    given to files, and remove the CVS directory that is in the upstream
    tarball.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Mar 2006 13:46:33 +0100

livehttpheaders (0.12-1) unstable; urgency=low

  * The "Flat chrome for everyone !" release.
  * New upstream release:
    + Fixes the Page Info tab. Closes: #354726.
  * debian/chrome.manifest, debian/chrome.d:
    + Convert to flat chrome.
    + Add the cs-CZ locale registration.
  * debian/control: Don't build depend on zip.
  * debian/rules: Copy instead of zipping.
  * debian/links: Change the link for the jar file to a link for the directory
    holding the extension content.
  * install.rdf: Reference the directory instead of the jar file.

 -- Mike Hommey <glandium@debian.org>  Wed,  1 Mar 2006 14:58:07 +0100

livehttpheaders (0.11-2) unstable; urgency=low

  * debian/dirs, debian/links, debian/control: Add support for the new firefox
    package. We will keep backwards compatibility with mozilla-firefox until
    etch release.

 -- Mike Hommey <glandium@debian.org>  Sun, 25 Dec 2005 08:13:37 +0100

livehttpheaders (0.11-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <glandium@debian.org>  Sun, 27 Nov 2005 21:12:55 +0100

livehttpheaders (0.10-3) unstable; urgency=low

  * install.rdf: Allow livehttpheaders to work with firefox 1.5.

 -- Mike Hommey <glandium@debian.org>  Sat,  5 Nov 2005 11:25:17 +0100

livehttpheaders (0.10-2) unstable; urgency=low

  * debian/control, debian/postrm, debian/postinst, debian/links, debian/dirs:
    Removed support for mozilla-browser-snapshot, which doesn't exist any more.
  * debian/rules, debian/chrome.manifest: Make livehttpheaders work with Deer
    Park.
  * debian/control: Changed my maintainer address.


 -- Mike Hommey <glandium@debian.org>  Sat,  6 Aug 2005 23:23:20 +0200

livehttpheaders (0.10-1) unstable; urgency=medium

  * New upstream bugfix release
  * Set urgency to medium because version currently in sarge doesn't work with
    the version of firefox in there.

 -- Mike Hommey <mh@glandium.org>  Sun, 21 Nov 2004 13:03:55 +0900

livehttpheaders (0.9-6) unstable; urgency=medium

  * Set urgency to medium because version currently in sarge doesn't work with
    the version of firefox in there.
  * debian/preinst: Remove directory that would be on the way of the link in
    /usr/lib/mozilla-firefox/extensions. This directory can exist in some
    cases, if some versions of firefox have been used in the past in
    conjunction of livehttpheaders.

 -- Mike Hommey <mh@glandium.org>  Thu, 18 Nov 2004 23:05:35 +0900

livehttpheaders (0.9-5) unstable; urgency=low

  * Switched to new firefox extensions layout:
    + debian/Uninstall: Added.
    + debian/dirs: Removed /usr/lib/mozilla-firefox/chrome,
      /usr/lib/mozilla-firefox/components,
      /var/lib/mozilla-firefox/chrome.d, and
      /usr/share/mozilla-extensions/livehttpheaders/{uid} ;
      added /usr/share/mozilla-extensions/livehttpheaders/chrome,
      /usr/share/mozilla-extensions/livehttpheaders/components and
      /usr/share/mozilla-extensions/livehttpheaders/uninstall.
    + debian/rules: Adjusted paths for new file locations, and install
      the additional Uninstall file.
    + debian/links: Adjusted links to new file locations.
    + debian/control:
      - Conflicts with firefox versions earlier than 1.0-1, which allows
        component registration through this new scheme.
      - Put mozilla-firefox as the first choice in Depency alternatives.
  * install.rdf: Bumped em:MaxVersion to 1.0 so that livehttpheaders can
    work with firefox 1.0.
  * debian/control: Adjusted the versioned dependency upon mozilla-browser to
    a Conflict to older mozilla-browser packages.
  * debian/postrm: Removed the purge rule which removed
    /etc/mozilla-extensions if empty, since we don't provide it anyways.

 -- Mike Hommey <mh@glandium.org>  Thu, 11 Nov 2004 16:27:06 +0900

livehttpheaders (0.9-4) unstable; urgency=low

  * install.rdf: Make livehttpheaders compatible with Firefox 1.0pre.

 -- Mike Hommey <mh@glandium.org>  Wed, 13 Oct 2004 14:45:33 +0900

livehttpheaders (0.9-3) unstable; urgency=high

  * Urgency high to get these changes into sarge. Will better fit with
    new mozilla-firefox extensions handling.
  * chrome/content/contents.rdf: removed chrome:extension="true" so that
    the extension is not considered "old" by Firefox 0.9+.
  * debian/dirs, debian/links:
    + Moved {uid} directory from
      /usr/lib/mozilla-firefox/defaults/profile/extensions/ to
      /usr/share/mozilla-extensions/diggler/{uid}.
    + /usr/lib/mozilla-firefox/extensions/{uid} is now a link to
      /usr/share/mozilla-extensions/diggler/{uid}.
  * debian/rules:
    + Put install.rdf file into /usr/share/mozilla-extensions/diggler/{uid}.
    + Changed 'cp' to 'install -m 644'
  * debian/control: Conflicts with mozilla-firefox <= 0.9.3-2.

 -- Mike Hommey <mh@glandium.org>  Sun, 22 Aug 2004 22:06:26 +0900

livehttpheaders (0.9-2) unstable; urgency=low

  * debian/control: Added versioned dependency upon mozilla-firefox.

 -- Mike Hommey <mh@glandium.org>  Fri, 16 Jul 2004 15:37:24 +0900

livehttpheaders (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Adapted script to new upstream layout.
  * Added support for Firefox 0.9+ by:
    + Adding a debian/extensions.d file.
    + Add the appropriate extensions directory to debian/dirs.
    + Add the appropriate link in debian/links.
    + Adapt the debian/rules script to install the needed files.
  * Removed support for Firebird:
    + debian/control: removed dependency upon Firebird.
    + debian/post*: removed call to update-mozilla-firebird-chrome.
  * debian/chrome.d: Added de-AT and es-ES locales.
  * chrome/content/contents.rdf: Changed extension name to match the one in
    install.rdf.

 -- Mike Hommey <mh@glandium.org>  Sat,  3 Jul 2004 04:30:32 +0900

livehttpheaders (0.8-3) unstable; urgency=low

  * Fixed french localization. Closes: #255051.
  * Changed version number in localization files.

 -- Mike Hommey <mh@glandium.org>  Sun, 20 Jun 2004 20:15:40 +0900

livehttpheaders (0.8-2) unstable; urgency=low

  * Added support for mozilla-firefox.

 -- Mike Hommey <mh@glandium.org>  Wed, 25 Feb 2004 16:36:17 +0900

livehttpheaders (0.8-1) unstable; urgency=low

  * New upstream release
  * Made the output of `which` quiet in postrm and postinst.

 -- Mike Hommey <mh@glandium.org>  Sat, 27 Dec 2003 18:37:20 +0900

livehttpheaders (0.7-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Thu,  9 Oct 2003 18:21:58 +0900

livehttpheaders (0.6-3) unstable; urgency=low

  * debian/postrm: Remove /etc/mozilla-extensions if empty on purge.
  * debian/control: Moved section to a more appropriate place.

 -- Mike Hommey <mh@glandium.org>  Sun, 31 Aug 2003 00:58:40 +0200

livehttpheaders (0.6-2) unstable; urgency=low

  * Standards-Version: 3.6.1:
    - Moved build dependency upon debhelper to Build-Depends.
  * Changed dependencies order to (finally) make this package reach 
    testing.

 -- Mike Hommey <mh@glandium.org>  Tue, 19 Aug 2003 22:25:34 +0200

livehttpheaders (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/postinst, debian/postrm:
    - Changed most of the script (thanks to Alfie Costa)
    - Replaced cascades by tabextensions in comments ;-p
  * Standard-Versions: 3.5.10.0
  * Removed transitional livehttpheaders package.
  * Added support for mozilla-firebird

 -- Mike Hommey <mh@glandium.org>  Thu, 19 Jun 2003 00:11:32 +0200

livehttpheaders (0.5-1) unstable; urgency=low

  * New upstream release. There is now a note to tell if headers are taken
    from network or from cache in the Page Info window. Closes: #188398.
  * Removed DH_COMPAT from debian/rules and added debian/compat.
  * Changed package name to mozilla-livehttpheaders.
  * Began transition to upcoming mozilla extensions policy.

 -- Mike Hommey <mh@glandium.org>  Tue,  6 May 2003 14:37:25 +0200

livehttpheaders (0.4-2) unstable; urgency=low

  * Added support for mozilla-snapshot. For this purpose, moved the
    files to /usr/share/livehttpheaders and added symlinks in
    mozilla directories.
  * Updated to Standards-Version 3.5.9.

 -- Mike Hommey <mh@glandium.org>  Sat, 22 Mar 2003 16:54:13 +0100

livehttpheaders (0.4-1) unstable; urgency=low

  * Initial Release. Closes #184095

 -- Mike Hommey <mh@glandium.org>  Sun,  9 Mar 2003 18:59:15 +0100
